Loading...
Searching...
No Matches
volk_avx_intrinsics.h File Reference
`#include <immintrin.h>`

Go to the source code of this file.

## Functions

static __m256 | _mm256_rsqrt_nr_ps (const __m256 a)
static __m256 | _mm256_arctan_poly_avx (const __m256 x)
static __m256 | _mm256_arcsin_poly_avx (const __m256 x)
static __m256 | _mm256_complexmul_ps (__m256 x, __m256 y)
static __m256 | _mm256_conjugate_ps (__m256 x)
static __m256 | _mm256_complexconjugatemul_ps (const __m256 x, const __m256 y)
static __m256 | _mm256_normalize_ps (__m256 val)
static __m256 | _mm256_magnitudesquared_ps (__m256 cplxValue1, __m256 cplxValue2)
static __m256 | _mm256_magnitude_ps (__m256 cplxValue1, __m256 cplxValue2)
static __m256 | _mm256_scaled_norm_dist_ps (const __m256 symbols0, const __m256 symbols1, const __m256 points0, const __m256 points1, const __m256 scalar)
static __m256 | _mm256_polar_sign_mask (__m128i fbits)
static void | _mm256_polar_deinterleave (__m256 *llr0, __m256 *llr1, __m256 src0, __m256 src1)
static __m256 | _mm256_polar_minsum_llrs (__m256 src0, __m256 src1)
static __m256 | _mm256_polar_fsign_add_llrs (__m256 src0, __m256 src1, __m128i fbits)
static __m256 | _mm256_accumulate_square_sum_ps (__m256 sq_acc, __m256 acc, __m256 val, __m256 rec, __m256 aux)
static __m256 | _mm256_log2_poly_avx (const __m256 x)

## Function Documentation

## _mm256_accumulate_square_sum_ps()

__m256 _mm256_accumulate_square_sum_ps | ( | __m256 | sq_acc,
|  | __m256 | acc,
|  | __m256 | val,
|  | __m256 | rec,
|  | __m256 | aux )

inline static

## _mm256_arcsin_poly_avx()

__m256 _mm256_arcsin_poly_avx | ( | const __m256 | x | ) |

inline static

## _mm256_arctan_poly_avx()

__m256 _mm256_arctan_poly_avx | ( | const __m256 | x | ) |

inline static

## _mm256_complexconjugatemul_ps()

__m256 _mm256_complexconjugatemul_ps | ( | const __m256 | x,
|  | const __m256 | y )

inline static

## _mm256_complexmul_ps()

__m256 _mm256_complexmul_ps | ( | __m256 | x,
|  | __m256 | y )

inline static

## _mm256_conjugate_ps()

__m256 _mm256_conjugate_ps | ( | __m256 | x | ) |

inline static

## _mm256_log2_poly_avx()

__m256 _mm256_log2_poly_avx | ( | const __m256 | x | ) |

inline static

## _mm256_magnitude_ps()

__m256 _mm256_magnitude_ps | ( | __m256 | cplxValue1,
|  | __m256 | cplxValue2 )

inline static

## _mm256_magnitudesquared_ps()

__m256 _mm256_magnitudesquared_ps | ( | __m256 | cplxValue1,
|  | __m256 | cplxValue2 )

inline static

## _mm256_normalize_ps()

__m256 _mm256_normalize_ps | ( | __m256 | val | ) |

inline static

## _mm256_polar_deinterleave()

void _mm256_polar_deinterleave | ( | __m256 * | llr0,
|  | __m256 * | llr1,
|  | __m256 | src0,
|  | __m256 | src1 )

inline static

## _mm256_polar_fsign_add_llrs()

__m256 _mm256_polar_fsign_add_llrs | ( | __m256 | src0,
|  | __m256 | src1,
|  | __m128i | fbits )

inline static

## _mm256_polar_minsum_llrs()

__m256 _mm256_polar_minsum_llrs | ( | __m256 | src0,
|  | __m256 | src1 )

inline static

## _mm256_polar_sign_mask()

__m256 _mm256_polar_sign_mask | ( | __m128i | fbits | ) |

inline static

## _mm256_rsqrt_nr_ps()

__m256 _mm256_rsqrt_nr_ps | ( | const __m256 | a | ) |

inline static

## _mm256_scaled_norm_dist_ps()

__m256 _mm256_scaled_norm_dist_ps | ( | const __m256 | symbols0,
|  | const __m256 | symbols1,
|  | const __m256 | points0,
|  | const __m256 | points1,
|  | const __m256 | scalar )

inline static